import { Component } from '@angular/core';
import {Ingredient} from "../../../Models/ingredient";
import {FilterService} from "../../../Services/filter.service";
import {NgForOf} from "@angular/common";

@Component({
  selector: 'app-dummy',
  standalone: true,
  imports: [
    NgForOf
  ],
  templateUrl: './dummy.component.html',
  styleUrl: './dummy.component.css'
})
export class DummyComponent {
  selectedIngredients: Ingredient[] = [];

  constructor(private filterService: FilterService) {
    this.filterService.selectedIngredients$.subscribe(ingredients => {
      this.selectedIngredients = ingredients;
      // Handle the updated selectedIngredients in the other dummy component
    });
  }
}
