import ast
import csv
import re
from pathlib import Path
import json
from tqdm import tqdm
from textblob import TextBlob
import nltk

#fractions = {'½': 1/2, '¼': 1/4, '⅓': 1/3, '⅔': 2/3, '¾': 3/4}




def read_recipes(filename: Path): 
    i = 0
    res = []
    with open(filename, 'r') as fp:
        reader = csv.reader(fp)
        next(reader)
        all_receips = []
        for l in tqdm(reader):

            ingredient_list = l[3]
            # blob = TextBlob(ingredient_list)
            # print(blob.noun_phrases)
            # input()
            is_noun = lambda pos: pos[:2] == 'NN'
            # do the nlp stuff
            tokenized = nltk.word_tokenize(ingredient_list)
            nouns = [word for (word, pos) in nltk.pos_tag(tokenized) if is_noun(pos)] 
            res += nouns

    res = sorted(set(res))
    print(len(res))
    with open('nouns.txt', 'w') as fp:
        fp.writelines('\n'.join(res))


    print(filename)
    print('missing rating:', i)
    print('number of recipes:', len(all_receips))
    return all_receips




filename0 = Path(__file__).parent / 'data' / 'new_crawl_recipe(basic).csv'
filename1 = Path(__file__).parent / 'data' / 'original_data(basic).csv'

a = read_recipes(filename0)


#assert len([i.id for i in a]) == len(set([i.id for i in a]))
# b = stats(filename1)
# assert len([i.id for i in b]) == len(set([i.id for i in b]))

# for i in range(len(b)):
#     print(a[i], b[i])
#     input()

