import json

"""
with open('./data/ingredient_merged.json', 'r') as json_file:
    ingredients = json.load(json_file)


with open('./data/ingredient_uses.json', 'r') as json_file:
    uses = json.load(json_file)

result = dict()
for k, v in ingredients.items():
    if k not in uses or uses[k] < 10:
        continue
    result[k] = v


with open('data/ingredient_filtered.json', 'w') as json_file:
    json.dump(result, json_file, indent=4, sort_keys=True)
"""

with open('./data/ingredient_filtered.json', 'r') as json_file:
    ingredients = json.load(json_file)

result = dict()
index = 0
for name, status in ingredients.items():
    ingredient = {'name' : name, 'status' : status}
    result[str(index)] = ingredient
    index += 1

with open('./data/ingredient_formatted.json', 'w') as json_file:
    json.dump(result, json_file, indent=4)