import json
from textblob import TextBlob

with open('results/ingredients.json', 'r') as json_file:
    ingredients = json.load(json_file)

with open('tmp/missing_ingredients.json', 'r') as json_file:
    missing_ingredients = json.load(json_file)

missing_ingredients = [{'name': name, 'status': 'unknown'} for name, _ in missing_ingredients.items()]

ingredients = list(ingredients.values()) + missing_ingredients
ingredients = sorted(ingredients,key=lambda d: d['name'])
i = 0
result = dict()
for ingredient in ingredients:
     result[str(i)] = ingredient
     i+=1
     


with open('results/ingredients.json', 'w') as output:
     json.dump(result, output, indent=4)


